`.quiltignore` is a special file which, when included in a directory, can be used to filter out files that are included when you call `quilt.Package.set_dir` from inside that directory:

```bash
$ ls
foo.txt         bar.txt         baz.txt
$ python -c "import quilt; print(quilt.Package().set_dir('/', './'))"
(local Package)
 └─foo.txt
 └─bar.txt
 └─baz.txt
$ echo foo.txt >> .quiltignore
$ ls -a
foo.txt         bar.txt         baz.txt
.quiltignore
$ python -c "import quilt; print(quilt.Package().set_dir('/', './'))"
(local Package)
 └─bar.txt
 └─baz.txt
 └─.quiltignore
```

This can be used to keep non-data files in the directory out of the data package. This is very useful when, for example, your data and your code live in the same directory.

The `.quiltignore` syntax is exactly the same as that of the familiar `.gitignore`. Refer to the [git documentation](https://git-scm.com/docs/gitignore) for instructions on how to use it.
